Subject: Re: [PATCH] diff --no-index: support more than one file pair

From: Matthieu Moy <[email-masked]>
Date: Thu, 12 Jan 2012 10:14:21 +0100

Nguyễn Thái Ngọc Duy <[email-masked]> writes:

> This allows you to do
>
> git diff --no-index file1.old file1.new file2.old file2.new...
>
> It could be seen as an abuse of "git --no-index", but it's very
> tempting considering many bells and whistles git's diff machinery
> provides.

I find this very, very unintuitive. I tried with GNU diff:

diff 1 2 3 4

and it complained with "diff: extra operand `3'". I find

git diff --no-index file1.old file1.new
git diff --no-index file2.old file2.new

far more intuitive, less error prone (when you start having a
non-trivial list of arguments, it's hard to tell which is the new and
which is the old visually), ... So I'm curious why you prefer your
syntax.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/